set +e
setprop ota.progress.current 30
setprop ota.progress.next 35
echo " "
xr_efuse_get_version -r 1
if [ $? -ne 0 ]
then
    echo "efuse fbl version read failed"
else
    echo "  --fbl_version read success"
fi

xr_efuse_get_version -r 2
if [ $? -ne 0 ]
then
    echo "efuse sbl version read failed"
else
    echo "  --sbl_version read success"
fi

xr_efuse_get_version -r 3
if [ $? -ne 0 ]
then
    echo "efuse system version read failed"
else
    echo "  --sys_version read success"
fi
echo " "

echo "new fbl version is "0
if [ 0 -lt $fbl_version_current ]
then
    echo "check fbl version failed!"
else
    echo "fbl version check pass"
fi

setprop ota.fblversion.next 0

echo "new sbl version is "0
if [ 0 -lt $sbl_version_current ]
then
    echo "check sbl version failed!"
else
    echo "sbl version check pass"
fi
setprop ota.sblversion.next 0

echo "new system version is "0
if [ 0 -lt $sys_version_current ]
then
    echo "check system version failed!"
else
    echo "system version check pass"
fi
setprop ota.sysversion.next 0


xr_hw_id
set hw_id_flag $?
echo " -- hw id -- "
if [ $hw_id_flag -lt 0 ]
then
    echo "read hw_id failed!"
fi
echo " hw id -- "
echo $hw_id_flag

echo -e -n "a" > /data/ota_tmp/dd

if [ $hw_id_flag -eq 1 ]
then
    echo "--------udp--------"
    if [ ! -e /ota/vela_mg_nv.patch ]
    then
        echo "ddelta_apply mg_nv jump"
    else
        time "ddelta_apply /dev/mg_nv /data/ota_tmp/ /ota/vela_mg_nv.patch"
        echo "ddelta_apply mg_nv ok"
    fi
else
    echo "--------c00--------"
    if [ ! -e /ota/vela_mg_nv.patch ]
    then
        echo "ddelta_apply mg_nv jump"
    else
        time "ddelta_apply /dev/mg_nv /data/ota_tmp/ /ota/vela_mg_nv.patch"
        echo "ddelta_apply mg_nv ok"
    fi
fi

if [ $? -ne 0 ]
then
    echo "ddelta_apply mg_nv failed"
fi

if [ -e /ota/vela_tee_f.patch ]
then

    echo "generate vela_CP.bin"
    time "ddelta_apply /dev/CP /data/ota_tmp/ /ota/vela_CP.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_CP failed"
        exit
    fi

    setprop ota.progress.current 35
    setprop ota.progress.next 40

    echo "generate vela_CP_f.bin"
    time "ddelta_apply /dev/CP_f /data/ota_tmp/ /ota/vela_CP_f.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_CP_f failed"
        exit
    fi

    setprop ota.progress.current 40
    setprop ota.progress.next 40

    echo "generate vela_CRF.bin"
    time "ddelta_apply /dev/CRF /data/ota_tmp/ /ota/vela_CRF.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_CRF failed"
        exit
    fi

    setprop ota.progress.current 40
    setprop ota.progress.next 40

    echo "generate vela_CRF_f.bin"
    time "ddelta_apply /dev/CRF_f /data/ota_tmp/ /ota/vela_CRF_f.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_CRF_f failed"
        exit
    fi

    setprop ota.progress.current 40
    setprop ota.progress.next 64

    echo "generate vela_ap.bin"
    time "ddelta_apply /dev/ap /data/ota_tmp/ /ota/vela_ap.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_ap failed"
        exit
    fi

    setprop ota.progress.current 64
    setprop ota.progress.next 80

    echo "generate vela_ap_f.bin"
    time "ddelta_apply /dev/ap_f /data/ota_tmp/ /ota/vela_ap_f.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_ap_f failed"
        exit
    fi

    setprop ota.progress.current 80
    setprop ota.progress.next 82

    echo "generate vela_dsp.bin"
    time "ddelta_apply /dev/dsp /data/ota_tmp/ /ota/vela_dsp.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_dsp failed"
        exit
    fi

    setprop ota.progress.current 82
    setprop ota.progress.next 85

    echo "generate vela_dsp_f.bin"
    time "ddelta_apply /dev/dsp_f /data/ota_tmp/ /ota/vela_dsp_f.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_dsp_f failed"
        exit
    fi

    setprop ota.progress.current 85
    setprop ota.progress.next 86

    echo "generate vela_sbl.bin"
    time "ddelta_apply /dev/sbl /data/ota_tmp/ /ota/vela_sbl.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_sbl failed"
        exit
    fi

    setprop ota.progress.current 86
    setprop ota.progress.next 86

    echo "generate vela_sbl_bak.bin"
    time "ddelta_apply /dev/sbl_bak /data/ota_tmp/ /ota/vela_sbl_bak.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_sbl_bak failed"
        exit
    fi

    setprop ota.progress.current 86
    setprop ota.progress.next 87

    echo "generate vela_sensor.bin"
    time "ddelta_apply /dev/sensor /data/ota_tmp/ /ota/vela_sensor.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_sensor failed"
        exit
    fi

    setprop ota.progress.current 87
    setprop ota.progress.next 88

    echo "generate vela_sensor_f.bin"
    time "ddelta_apply /dev/sensor_f /data/ota_tmp/ /ota/vela_sensor_f.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_sensor_f failed"
        exit
    fi

    setprop ota.progress.current 88
    setprop ota.progress.next 89

    echo "generate vela_tee.bin"
    time "ddelta_apply /dev/tee /data/ota_tmp/ /ota/vela_tee.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_tee failed"
        exit
    fi

    setprop ota.progress.current 89
    setprop ota.progress.next 90

    echo "generate vela_tee_f.bin"
    time "ddelta_apply /dev/tee_f /data/ota_tmp/ /ota/vela_tee_f.patch"
    if [ $? -ne 0 ]
    then
        echo "ddelta_apply vela_tee_f failed"
        exit
    fi

    setprop ota.progress.current 90

fi
